//=========================================================================
//
//	FILE:				CP_RandomNumbers.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Routines to generate random nnumbers.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_RandomNumbers
#define _H_CP_RandomNumbers
#ifndef TARGET_OS_LINNUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

UInt16 		CP_Random();

UInt16		CP_RangedRandom(
					UInt16 inMin,
					UInt16 inMax );

CPLAT_End_Namespace_CPLAT

#endif	// _H_RandomNumbers

