//=========================================================================
//
//	FILE:				CP_ExceptionStr_Defines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			String resources used in in various catch blocks to
//						report issues to the user.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_ExceptionStrDefines
#define _H_CP_ExceptionStrDefines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

//========================================================================
// Exception messages
//========================================================================
const SInt16 kCP_ExceptionMessages_ResID							= 901;
	const SInt16 kCatch_CouldNotCompleteOperation_index					= 1;
	const SInt16 kCatch_AnErrorHasOccurred_index						= 2;
	const SInt16 kCatch_CouldNotLoadNeededResource_index				= 3;
	const SInt16 kCatch_OutOfBoundsIndex_index							= 4;
	const SInt16 kThrow_NumericConversionOverflowIndex_index			= 5;
	const SInt16 kThrow_NumericConversionNotANumberIndex_index			= 6;
	const SInt16 kThrow_IndexOutOfRange_index							= 7;
	const SInt16 kThrow_InvalidFileType_index							= 8;
	const SInt16 kThrow_InvalidStreamVersion_index						= 9;
	const SInt16 kThrow_InvalidURL_index								= 10;
	
CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_ExceptionStrDefines

