//=========================================================================
//
//	FILE:				CP_ExceptionStr.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			String resources used in various catch blocks to
//						report issues to the user.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef __CP_EXCEPTION_STR_R__
#define __CP_EXCEPTION_STR_R__

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

resource 'STR#' (901, "Catch Block Strings")
{
	{
		"Operation could not be completed.",
		"An error has occurred.",
		"A needed resource could not be loaded.",
		"Index is out of range.",
		"Numeric overflow on conversion.",
		"Numeric conversion could not be completed because input was not numeric data.",
		"Index is out of range.",
		"This does not appear to be a valid file we handle.",
		"This does not appear to be a valid file we handle.",
		"This does not appear to be a valid stream.",
		"Expected a directory, but got an invalid URL",
	}
};

#endif /* __CP_EXCEPTION_STR_R__ */
