//=========================================================================
//
//	FILE:				HelloWorld_doxy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Doxygen source file for the main page of the documentation
//						for the HelloWorld demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:31:16 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

/*!
	@mainpage
	
	@section Overview  Overview

	The CP_HelloWorld demonstrates a minimum CPLAT Application with a single custom
	CP_View. The custom view displays the line "Hello World from CPLAT". An alternative
	to creting and using a custom view, would be to have used one of the built in
	text views, such as CP_StaticText.	
	
	@section MainWindow  Main Window

	@image html HW_MainWindow_Mac.jpg
	
	This shows the main window runnning under MacOSX.

	@image html HW_MainWindow_W2k.jpg
	
	This shows the main window runnning under Windows 2000.
*/
