//=========================================================================
//
//	FILE:				CP_Nib_MacOS_Main.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for CP_Nib_MacOS.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:32:35 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Nib_MacOS_Main
#define _H_CP_Nib_MacOS_Main
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_FrameworkFlags.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		Main
*	@brief		Applications main entry point.
*/
#if TARGET_OS_MAC || TARGET_OS_LINUX
	int main( int argc, char *argv[] );
#else if TARGET_OS_WIN32
	int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPreInst, LPSTR lpszCmdLine, int nCmdShow );
#endif

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Nib_MacOS_Mainn

