//=========================================================================
//
//	FILE:				CP_DebugStr_Defines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Resource definitions for resources used in debugging
//						CPLAT applications.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_DebugResourceDefines
#define _H_CP_DebugResourceDefines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

//========================================================================
// Error / Warning messages
//========================================================================
const SInt16 kCP_ErrorWarnMessages_ResID							= 900;
	const SInt16 kDebug_CouldNotCompleteOperation_index					= 1;
	const SInt16 kDebug_AnOSStatusExceptionOccurred_index				= 2;
	const SInt16 kDebug_NULLPointer_index								= 3;
	const SInt16 kDebug_ResourceNotFound_index							= 4;
	const SInt16 kDebug_MemoryError_index								= 5;
	const SInt16 kDebug_NotEnoughMemory_index							= 6;
	const SInt16 kDebug_MissingDebugMenuResources_index					= 7;
	
CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_DebugResourceDefines

