//=========================================================================
//
//	FILE:				CP_Debug_Rez_Mach.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Prefix files for CPLAT and MachO targets for Rez.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	PLATFORM:			MacOSX Mach
//	DEBUGGING:			Debug
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================

// ===================================================================================
//	Platform build flags
// ===================================================================================
#define TARGET_OS_MAC						1
#define TARGET_API_MAC_CARBON				0
#define TARGET_API_MAC_OSX					1		// We are not using CarbonLib, but OSX frameworks 

// ===================================================================================
//	Debugging flags
// ===================================================================================
#define CP_Debug							1
#define CP_Debug_Exceptions					1
#define CP_Debug_RecordMemoryAllocations	0
#define CP_Debug_UseCustomOperatorNew		1
#define CP_Debug_RecordOSCalls				0
#define CP_Debug_RecordMemoryAllocations	0

// ===================================================================================
//	OS Environment
// ===================================================================================
#define ACCESSOR_CALLS_ARE_FUNCTIONS		1		// MacOS header flag
#define __CF_USE_FRAMEWORK_INCLUDES__		1		// Apple headers for OSX frameworks
